Page MenuHome

Cycle Optix fails or crashes on viewport render
Closed, ResolvedPublicBUG

Description

System Information
Operating system: Windows-10-10.0.18362 64 Bits
Graphics card: GeForce RTX 2070/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 436.30

Blender Version
Broken: version: 2.82 (sub 1), branch: master, commit date: 2019-10-18 14:43, hash: rB3de44469593a
Worked: (optional)

Short description of error
Cycles Optix rendering on the viewport fails or crashes Windows 10. System console error:
OptiX CUDA error CUDA_ERROR_LAUNCH_FAILED in cuStreamSynchronize(cuda_stream[thread_index]), line 824
OptiX CUDA error CUDA_ERROR_ILLEGAL_ADDRESS in cuStreamSynchronize(cuda_stream[thread_index]), line 824

F12 render image works fine and yesterday's build works fine. It is probably related to yesterday Cycles commit from Optix.

Exact steps for others to reproduce the error
To reproduce on default startup open Blender in preferences make sure Optix is selected. Switch render to Cycles and GPU Compute and now enable viewport rendering.

Event Timeline

I have the same problem on Arch.
Also Blender is crashing in both ways:

  1. Enable Viewport render > error> go to settings > switch to CUDA > Crash.
  2. Enable Viewport render > error> F12 > Crash.

OptiX CUDA error CUDA_ERROR_ILLEGAL_ADDRESS in cuStreamSynchronize(cuda_stream[thread_index]), line 824
OptiX error OPTIX_ERROR_INVALID_DEVICE_CONTEXT in optixDeviceContextCreate(cuda_context, &options, &context), line 250

Brecht Van Lommel (brecht) lowered the priority of this task from 90 to High.

Same issue on Windows 10 1903 + RTX 2070 here. CUDA is fine and F12 render is fine, viewport render with OptiX does not work. Tried both 436.30 and 436.48 drivers.

Patrick,

The fix was committed only to the release 2.81 branch, also please merge fix to the master.

Sorry, forgot. Done now!

Virgil Fabre (Auracle) changed the task status from Resolved to Invalid.Aug 2 2020, 4:04 AM

I still have the issue on the most recent experimental version of Blender and regular stable release.

Infos : I have a RTX 2060 with game-ready drivers up to date.

Replicable issue : Every time I open blender, put render mode in cycles, then use denoising in viewport, cycles renders in wireframe instead, then if I try to change any option on the viewport denoising, blender crash. Every time.

I finally found the error.

The text "Loading render kernels (may take a few minutes the first time)" is really small, and I never noticed it.

After waiting like 4 minutes on my Ryzen 7 2700 it ended and everything works.
If you don't notice the text and you don't wait, anything you touch (Almost) will make blender totally crash. There's no error handling, even opening preferences makes blender go boom.

Found the issue, gotta fix it :) hope it helps everyone that reads this

Evan Wilson (EAW) changed the task status from Invalid to Resolved.Sep 24 2020, 7:46 AM

Same issue here - but waiting on the kernel doesn't fix it. Did you do anything else?